.TH CosTransactions_TransactionFactory 3 "cosTransactions  1.2.7" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
CosTransactions_TransactionFactory \- This module implements the OMG CosTransactions::TransactionFactory interface\&.
.SH DESCRIPTION
.LP
To get access to the record definitions for the structures use: 
.br
\fI-include_lib("cosTransactions/include/CosTransactions\&.hrl")\&.\fR

.SH EXPORTS
.LP
.B
create(TransactionFactory, Timeout) -> Control
.br
.RS
.TP
Types
TransactionFactory = #objref
.br
Timeout = integer()
.br
Control = #objref
.br
.RE
.RS
.LP
This operation creates a new top-level transaction\&.
.LP
The \fITimeout\fR argument can be:
.RS 2
.TP 2
*
0 - no timeout\&.
.TP 2
*
N (integer() > 0) - the transaction will be subject to being rolled back if it does not complete before N seconds have elapsed\&.
.RE
.RE
